#include <Servo.h>

Servo headTiltServo;  // create servo object to control a servo
Servo headPanServo;  // create servo object to control a servo
// twelve servo objects can be created on most boards

int pos = 0;    // variable to store the servo position

void setup() {
  
  headPanServo.attach(2);  // attaches the servo on pin 9 to the servo object
  headTiltServo.attach(3);  // attaches the servo on pin 9 to the servo object
  
  headPanServo.write(90);              // tell servo to go to position in variable 'pos'
  headTiltServo.write(90);              // tell servo to go to position in variable 'pos'
  

  Serial.begin( 250000 );

  Serial.println("iBot v1.0 by OrbitusRobotics");
  Serial.println("BEGIN STARTUP SEQUENCE");
}

void loop() {
  
  Serial.println("---------------------------------------");

  
  delay(2000);
  headPanServo.write(89);
  delay(2000);
  headPanServo.write(91);
  delay(2000);
  headPanServo.write(90);
  

  for (pos = 70; pos <= 100; pos += 1) { // goes from 0 degrees to 180 degrees
    // in steps of 1 degree
    headTiltServo.write(pos);              // tell servo to go to position in variable 'pos'
    delay(15);                       // waits 15ms for the servo to reach the position
  }
  for (pos = 100; pos >= 70; pos -= 1) { // goes from 180 degrees to 0 degrees
    headTiltServo.write(pos);              // tell servo to go to position in variable 'pos'
    delay(15);                       // waits 15ms for the servo to reach the position
  }
 }

